function [BW, BW2, legal] = isPathLegal(WP, WP2)
line = [WP; WP2];
% obstacle_1x = [0 125 240 375 450 375 250 0];
% obstacle_2x = [600 640 750 860 900];
% obstacle_3x = [800 790 700 610 600];
% obstacle_4x = [600 700 800 800 700 600];
% 
% obstacle_1y = [750 750 740 510 470 340 340 350];
% obstacle_2y = [0 250 450 250 0];
% obstacle_3y = [1000 875 750 875 1000];
% obstacle_4y = [650 650 650 600 600 600];
% obstacle_1x = [0 125 240 375 450 375 250 0];
% obstacle_2x = [600 640 750 860 900];
% obstacle_3x = [800 790 700 610 600];
% obstacle_4x = [600 700 800 800 700 600];
% 
% obstacle_1y = [750 750 740 510 470 340 340 350];
% obstacle_2y = [0 250 450 250 0];
% obstacle_3y = [1000 875 750 875 1000];
% obstacle_4y = [650 650 650 500 500 500];
obstacle_1x = [10 8.6 11 15 21 23 22 17];
obstacle_1y = [10 14.7 21.11 23.91 23.40 19.07 15 9.55];
obstacle_2x = [30.8 40 40 39 35 33 30];
obstacle_2y = [50 50 45 38 35 38 44];
obstacle_3x = [37 41 45 44 40 35 32 35];
obstacle_3y = [17 18 16 10 6 5 8.7 14];
obstacle_4x = [32 33 36 35 33];
obstacle_4y = [26 28 27 24.7 24.6];
obstacle_5x = [10 15 18 15 10 6.5];
obstacle_5y = [44 44 39 35 35 39.6];


legal = 1;


% Makes binary image of path from p_k to p_k+1, stores it in BW
f = figure('visible','on');
ax = axes(f);
ax.Units = 'centimeters';
X = [line(1,1) line(2,1)];
Y = [line(1,2) line(2,2)];
plot(ax,X,Y);
line = findobj(gcf,'Type','Line');
line.LineWidth = 0.5*72*0.393701; % 1 cm = 0.393701 in, 1 point = 1/72 inch
ylim([0 50]);
xlim([0 50]);
set(gca,'visible','off')

F = getframe(gcf);
[X, Map] = frame2im(F);
BW = im2bw(X);
%imshow(BW)

% Makes binary image of obstacles, stores it in BW2
g = figure('visible','on');
ax = axes(g);
ax.Units = 'centimeters';
line = findobj(gcf,'Type','Line');
ylim([0 50]);
xlim([0 50]);



patch(obstacle_1x',obstacle_1y','red');
patch(obstacle_2x',obstacle_2y','red');
patch(obstacle_3x',obstacle_3y','red');
patch(obstacle_4x',obstacle_4y','red');
patch(obstacle_5x',obstacle_5y','red');

set(gca,'visible','off')
F = getframe(gcf);
[X, Map] = frame2im(F);
BW2 = im2bw(X);
%imshow(BW2)



% Check for overlap between the images
listBW = find(BW==0);
listBW2 = find(BW2==0);
C = intersect(listBW,listBW2);

if (isempty(C))
    legal = 1;
else
    legal = 0;
end

%disp(legal);



end