function path = removeAlmostColinear(path,treshold)

treshold = treshold*(pi/180);
i = 1;
while i <= (size(path,1)-2)
    p1 = [path(i,1), path(i,2)];
    p2 = [path(i+1,1), path(i+1,2)];
    p3 = [path(i+2,1), path(i+2,2)];
    ddx1 = atan2(p2(2)-p1(2), p2(1)-p1(1));
    ddx2 = atan2(p3(2)-p1(2), p3(1)-p1(1));
    
    if abs(ddx2-ddx1) < treshold
        path(i+1,:) = [];
    else
        i = i + 1;
    end
    
end